JLS(8)

NAME
jls - list jails

SYNOPSIS
jls [--libxo] [-dhNnqsv] [-j jail] [parameter ...]

DESCRIPTION
The jls utility lists all active jails, or the specified jail. Each jail is represented by one row which contains space-separated values of the listed parameters, including the pseudo-parameter all which will show all available jail parameters. A list of available parameters can be retrieved via “sysctl -d security.jail.param”. See jail(8) for a description of some core parameters.

If no parameters or any of the options -hns are given, the following four columns will be printed: jail identifier (jid), IP address (ip4.addr), hostname (host.hostname), and path (path).

The following options are available:

--libxo
    Generate output via libxo(3) in a selection of different human and machine readable formats. See xo_parse_args(3) for details on command line arguments.

-d  List dying as well as active jails.

-h  Print a header line containing the parameters listed. If no parameters are given on the command line, all is assumed.

-N  In the standard display mode, print each jail's name instead of its numeric ID. If the jail does not have a name, the numeric ID is printed instead.

-n  Print parameters in “name=value” format, where each parameter is preceded by its name. If no parameters are given on the command line, all is assumed.

-q  Put quotes around parameters if they contain spaces or quotes, or are the empty string.

-s  Print parameters suitable for passing to jail(8), skipping read-only and unused parameters. Implies -nq.

-v  Extend the standard display with a multiple-line summary per jail, containing the following parameters: jail identifier (jid), hostname (host.hostname), path (path), jail name (name), jail state (dying), cpuset ID (cpuset), IP address(es) (ip4.addr and ip6.addr).

-j jail
    The jid or name of the jail to list. Without this option, all active jails will be listed.

SEE ALSO
jail_get(2), libxo(3), xo_parse_args(3), jail(8), jexec(8)

HISTORY
The jls utility was added in FreeBSD 5.1. Extensible jail parameters were introduced in FreeBSD 8.0. libxo support was added in FreeBSD 11.0.